require 'fileutils'
class InitializerGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)

  def copy_initializer_file
    copy_file "backscript_controller.rb", "app/controllers/backscript_controller.rb"
    copy_file "backscript_controller.rb", "app/model/backscript.rb"
    directory 'backscripts', "app/views/backscripts"
    copy_file "seed.rb", "db/seeds.rb"
    copy_file "migration.rb", "db/migrate/#{migration_prefix}.rb"
    inject_into_file 'config/routes.rb', :after => "routes.draw do" do
       route_path 
    end

  end

  def route_path 
       "\n    resources :backscripts do 
               get 'trigering_backscript'
             end"
  end

  def migration_prefix 
    time = Time.now
    year = time.strftime("%Y")
    month = time.strftime("%m")
    date = time.strftime("%d")
    hour = time.strftime("%H")
    minutes = time.strftime("%M")
    seconds = time.strftime("%S")
    migration_prefix = year + month + date + hour + minutes + seconds + "_create_backscripts"
  end

end
